Results 1 to 9 of 9

Thread: bt4 r2 syanptic (bug) repo

  1. #1
    Just burned his ISO
    Join Date
    Nov 2010
    Posts
    1

    Default bt4 r2 syanptic (bug) repo

    root@bt:~# synaptic
    /usr/lib/python2.5/site-packages/apt/__init__.py:18: FutureWarning: apt API not stable yet
    warnings.warn("apt API not stable yet", FutureWarning)
    Traceback (most recent call last):
    File "/usr/bin/software-properties-gtk", line 101, in <module>
    app = SoftwarePropertiesGtk(datadir=data_dir, options=options, file=file)
    File "/usr/lib/python2.5/site-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 75, in __init__
    SoftwareProperties.__init__(self, options=options, datadir=datadir)
    File "/usr/lib/python2.5/site-packages/softwareproperties/SoftwareProperties.py", line 78, in __init__
    self.reload_sourceslist()
    File "/usr/lib/python2.5/site-packages/softwareproperties/SoftwareProperties.py", line 516, in reload_sourceslist
    self.distro.get_sources(self.sourceslist)
    File "/usr/lib/python2.5/site-packages/aptsources/distro.py", line 85, in get_sources
    "Error: could not find a distribution template")
    aptsources.distro.NoDistroTemplateException

  2. #2
    Member skinnypuppy's Avatar
    Join Date
    Jan 2010
    Location
    09 F9 11 02 9D 74 E3 5B D8 41 56 C5 63 56 88 C0
    Posts
    154

    Default Re: bt4 r2 syanptic (bug) repo

    Been having the same issue for several days, I generally just add repo's manually but this problem irked me for some reason so I went on a Google spree trying to fix it or at least get rid of the error. Appears to be an issue stemming from ditro.py looking for a template that isn't there:

    Code:
    root@bt:~# lsb_release -i -c -d -r -s
    BackTrack
    BackTrack 4 R2
    4 R2
    Nemesis
    I just did a: nano/etc/lsb-release to reflect what was in R1 and it works fine.

    Note: I commented out the changes because I really could care less if it works from a gui, like I said I manually add them through a cli, but this is what it would look like


    Code:
    #DISTRIB_ID=Ubuntu
    #DISTRIB_RELEASE=8.10
    #DISTRIB_CODENAME=intrepid
    #DISTRIB_DESCRIPTION="Ubuntu 8.10"
    
    
    
    
    
    DISTRIB_ID=BackTrack
    DISTRIB_RELEASE=4 R2
    DISTRIB_CODENAME=Nemesis
    DISTRIB_DESCRIPTION="BackTrack 4 R2"
    Last edited by skinnypuppy; 11-24-2010 at 07:42 PM.
    I may have been born with a silver spoon in my mouth but it does not mean I like to be spoon fed.

  3. #3
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: bt4 r2 syanptic (bug) repo

    Well synaptic works just fine here. I even started it through a ssh tunnelled vnc connection and it even works remotely.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  4. #4
    Member skinnypuppy's Avatar
    Join Date
    Jan 2010
    Location
    09 F9 11 02 9D 74 E3 5B D8 41 56 C5 63 56 88 C0
    Posts
    154

    Default Re: bt4 r2 syanptic (bug) repo

    Synaptic works, just not the Settings> Repostories function. Nor does the command "software-properties-gtk" (from which the error msg the OP posted derives), at least here anyway.

    Strange. I've tried from a clean USB install, and DVD install, checked md5, no issues and same problem. Will try to upgrade my vbox image on another machine to see if it's just us or something else. Thanks for checking Archangel-Amael.
    I may have been born with a silver spoon in my mouth but it does not mean I like to be spoon fed.

  5. #5
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: bt4 r2 syanptic (bug) repo

    Well I see that the Repositories function does not seem to work. However this may not really be a problem we don't want you to change the repos in BT.
    As for the other issue in regards to 'software-properties-gtk' can you provide more info on it?

    Also be aware that this is an upstream package that we do not maintain.
    Further still there are command line tools such as apt-get that work just fine.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  6. #6
    Member skinnypuppy's Avatar
    Join Date
    Jan 2010
    Location
    09 F9 11 02 9D 74 E3 5B D8 41 56 C5 63 56 88 C0
    Posts
    154

    Default Re: bt4 r2 syanptic (bug) repo

    software-properties-gtk is just a cli (within X) way of accessing the menu entry System> Software Sources. The error msg the OP posted is produced when issuing that command.

    I totally agree that it's not a problem per se because obviously you don't want repos added that may cause conflicts and it could be looked at as a "feature" now to alleviate the "I added such and such repo and now..." but now and then a repo has to be added. My little hack was for the cli challenged (perhaps not the best crowd to have installing extra repos but..)

    From searching Google to trying to create new uri templates to fix distro.py I haven't been able to get it sorted out. But as you stated, this is an upstream package and is not related to BackTrack in general (other debian/ubuntu distros are seeing this pop up as well) and yes, using the cli for package maintenance is far superior to the gui equivalents.
    I may have been born with a silver spoon in my mouth but it does not mean I like to be spoon fed.

  7. #7
    Junior Member Godfrey's Avatar
    Join Date
    Jun 2010
    Location
    Asia
    Posts
    30

    Default Re: bt4 r2 syanptic (bug) repo

    Quote Originally Posted by Archangel-Amael View Post
    ... However this may not really be a problem we don't want you to change the repos in BT.
    Sometimes it is useful to change repos.For example when i type 'ufw enable' the console will tell me an Error with the init script,and if set 'ipv6=yes' and 'ufw default deny' i just can't connect use ipv4 network.After i add the debian sid source address to repos,and update ufw,all work fine with the same settings.

    It seems that you don't have X configged the right way.I met lots of problems.
    When startx,it also want a ubuntu.???? while i have ubuntu_kde3.???? in the same place.
    Many errors with GTK,but it's lucky that bt4r2 can still work...

  8. #8
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: bt4 r2 syanptic (bug) repo

    Quote Originally Posted by Godfrey View Post
    Sometimes it is useful to change repos.For example when i type 'ufw enable' the console will tell me an Error with the init script,and if set 'ipv6=yes' and 'ufw default deny' i just can't connect use ipv4 network.After i add the debian sid source address to repos,and update ufw,all work fine with the same settings.
    It seems that you don't have X configged the right way.I met lots of problems.
    When startx,it also want a ubuntu.???? while i have ubuntu_kde3.???? in the same place.
    Many errors with GTK,but it's lucky that bt4r2 can still work...
    Well as I have stated before it's an upstream package and as such we can't really do much about it. There are cases where the dev team have made the discion to take over a certain upstream package in order to fix a problem etc., however as I also mentioned, apt-get works just fine.
    As for adding other repos's we can't really stop you from doing so. However many many times it has been shown to break things.
    Many of our libraries are customised in order to work with the many tools in BT. As such adding outside repos to your install may cause problems.

    Now for these supposed errors and 'lots of problems.' you mentioned above, if you ( or others) do not report them we may not ever see them let alone be able to fix them. I highly encourage you to reproduce them document what you were doing and the errors you received and make a post in the bug section. If you have fixes or links to fixes and or work around be sure to include them too.
    Last edited by Archangel-Amael; 11-25-2010 at 08:36 PM.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  9. #9
    Junior Member Godfrey's Avatar
    Join Date
    Jun 2010
    Location
    Asia
    Posts
    30

    Default Re: bt4 r2 syanptic (bug) repo

    Quote Originally Posted by Archangel-Amael View Post
    Now for these supposed errors and 'lots of problems.' you mentioned above, if you ( or others) do not report them we may not ever see them let alone be able to fix them. I highly encourage you to reproduce them document what you were doing and the errors you received and make a post in the bug section. If you have fixes or links to fixes and or work around be sure to include them too.
    I have posted those i can't solve here:http://www.backtrack-linux.org/forum...roblems-x.html
    Two earlier error message files in attachment below
    Hope someone will help
    File allegati File allegati

Similar Threads

  1. (ADDED TO REPO) Dotdotpwn
    By SWFu64 in forum Tool Requests
    Replies: 15
    Last Post: 11-07-2010, 11:01 PM
  2. Bt4 repo??
    By enc0de in forum Beginners Forum
    Replies: 4
    Last Post: 04-06-2010, 06:55 PM
  3. Big Repo Update!
    By purehate in forum Announcements
    Replies: 0
    Last Post: 02-27-2010, 04:57 PM
  4. backtrack repo offilne?
    By nocomp in forum OLD BackTrack 4 Bugs and Fixes
    Replies: 1
    Last Post: 02-02-2010, 11:22 PM
  5. repo
    By panoss in forum Discussioni Generali
    Replies: 3
    Last Post: 07-13-2009, 06:05 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •